Let's follow up this discussion at the Neptune Community

(this forum will be kept in read-only mode)
Solved

Error Phonegap Build cordova-sqlite plugin

Since yesterday, Phonegap build is having a problem with the cordova-sqlite plugin 1.4.x. While they fix it, the workaround is locking the plugin version in the config.xml file:

<plugin name="cordova-sqlite-storage" source="npm" spec="~1.2.1"/>


Please try the following versions, and feel free to share how it worked:

1.2.1

1.2.0

0.8.5


2 people have this problem

To make it crystal clear:


Ktz-PPBVGiLFbxlkCXx7CmqYfmzWMzDQNw.png



1 person likes this

Hi! version="1.4.0" works also fine :)

Update: 

Just in case anyone running an older version of Neptune UXP still runs into this issue...  a new and better SQLite plugin is part of our product.  You must use the following statement in your config.xml file:


<plugin spec="https://github.com/litehelpers/Cordova-sqlite-evcore-extbuild-free" source="git" />


(instead of <plugin name="cordova-sqlite-storage" source="npm">)


Login or Signup to post a comment